<?php

namespace Drupal\izi_message\Plugin\iziMessageField;

use Drupal\izi_message\iziMessageFieldBasic;

/**
 * Provide theme plugin.
 *
 * @iziMessageField(
 *  id = "theme",
 *  label = @Translation("Message Theme")
 * )
 */
class IziMessageTheme extends iziMessageFieldBasic {

  /**
   * {@inheritdoc}
   */
  public function form(array $element) {
    $form['theme'] = [
      '#type'           => 'select',
      '#default_value'  => $this->value(),
      '#title'          => $this->label(),
      '#description'    => $this->t('It can be light or dark', [], ['context' => 'izi_message']),
      '#options'        => [
        'dark'            => $this->t('Light'),
        'light'           => $this->t('Dark'),
      ],
    ];

    return $form;
  }

}
